CVE-2013-3237

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2013-3237
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2013-3237.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2013-3237
Published
2013-04-22T11:41:01Z
Modified
2024-06-30T12:01:22Z
Summary
[none]
Details

The vsockstreamsendmsg function in net/vmwvsock/afvsock.c in the Linux kernel before 3.9-rc7 does not initialize a certain length variable, which allows local users to obtain sensitive information from kernel stack memory via a crafted recvmsg or recvfrom system call.

References

Affected packages

Debian:11 / open-vm-tools

Package

Name
open-vm-tools
Purl
pkg:deb/debian/open-vm-tools?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:9.2.2-893683-8

Ecosystem specific

{
    "urgency": "low"
}

Debian:12 / open-vm-tools

Package

Name
open-vm-tools
Purl
pkg:deb/debian/open-vm-tools?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:9.2.2-893683-8

Ecosystem specific

{
    "urgency": "low"
}

Debian:13 / open-vm-tools

Package

Name
open-vm-tools
Purl
pkg:deb/debian/open-vm-tools?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:9.2.2-893683-8

Ecosystem specific

{
    "urgency": "low"
}